<template>
    <header>
        <nav class="flex items-center justify-between flex-wrap bg-blue-400 p-6">
            <div class="flex items-center flex-no-shrink text-white mr-6">
                <img src="https://www.amotor.cl/img/logo-nuevo/color.png" alt="amotor">
            </div>
            <div class="block lg:hidden">
                <button class="flex items-center px-3 py-2 border rounded text-teal-lighter border-teal-light hover:text-white hover:border-white">
                    <svg class="h-3 w-3" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><title>Menu</title><path d="M0 3h20v2H0V3zm0 6h20v2H0V9zm0 6h20v2H0v-2z"/></svg>
                </button>
            </div>
            <div class="w-full block flex-grow lg:flex lg:items-center lg:w-auto">
                <div class="text-sm lg:flex-grow">

                </div>
                <div>
                    <a
                        href="#"
                        class="inline-block text-sm px-4 py-2 leading-none border rounded text-white border-white hover:text-teal mt-4 lg:mt-0"
                        @click="logout"
                    >Salir</a>
                </div>
            </div>
        </nav>
    </header>
</template>

<script>
import {mapActions} from "vuex";

export default {
    name: "HeaderLayout",
    methods : {
        ...mapActions('user', [
            'logout'
        ])
    }

}
</script>
